Bug 615780 - SELinux hindert /home/LinuxDonald/Tools/wine-git/bin/wine-preloader am Laden von /usr/lib/catalyst/libatiadlxx.so, welches Textverschiebung benötigt.
SELinux hindert /home/LinuxDonald/Tools/wine-git/bin/wine-preloader am Laden ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:ee6546a575a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 14:04 EDT by Thomas Kowaliczek
Modified: 2010-07-19 06:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 06:28:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Kowaliczek 2010-07-18 14:04:08 EDT
Zusammenfassung:

SELinux hindert /home/LinuxDonald/Tools/wine-git/bin/wine-preloader am Laden von
/usr/lib/catalyst/libatiadlxx.so, welches Textverschiebung benötigt.

Detaillierte Beschreibung:

Die Anwendung ExeFile.exe versuchte /usr/lib/catalyst/libatiadlxx.so zu laden,
welches Textverschiebung benötigt. Dies ist ein mögliches Sicherheitsproblem.
Die meisten Bibliotheken benötigen diese Erlaubnis nicht, einige sind ggf.
fehlerhaft programmiert und fordern diese Erlaubnis an. Die Webseite SELinux
Memory Protection Tests (http://people.redhat.com/drepper/selinux-mem.html)
erklärt, wie diese Anforderung entfernt werden kann. Als Workaround können Sie
SELinux temporär so konfigurieren, dass /usr/lib/catalyst/libatiadlxx.so
Textverschiebung verwendet, bis die Bibliothek gefixt ist. Bitte reichen Sie
einen Fehlerbericht für dieses Paket ei

Zugriff erlauben:

Wenn Sie darauf vertrauen, dass /usr/lib/catalyst/libatiadlxx.so korrekt läuft,
können Sie den Dateikontext miitels "chcon -t textrel_shlib_t
'/usr/lib/catalyst/libatiadlxx.so'" in textrel_shlib_t ändern. Sie müssen auf
dem System auch die Standarddatei mit dem Dateikontext ändern, um sie von einer
kompletten Neubezeichnung auszunehmen: "semanage fcontext -a -t textrel_shlib_t
'/usr/lib/catalyst/libatiadlxx.so'"

Befehl berichtigen:

chcon -t textrel_shlib_t '/usr/lib/catalyst/libatiadlxx.so'

Zusätzliche Informationen:

Quellkontext                  unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Zielkontext                   system_u:object_r:lib_t:s0
Zielobjekte                   /usr/lib/catalyst/libatiadlxx.so [ file ]
Quelle                        AtlanticaRun.ex
Quellpfad                     /home/LinuxDonald/Tools/wine-git/bin/wine-
                              preloader
Port                          <Unbekannt>
Host                          (entfernt)
RPM-Pakete der Quelle         
RPM-Pakete des Ziels          xorg-x11-drv-catalyst-libs-10.5-1.fc12
Richtlinien-RPM               selinux-policy-3.6.32-118.fc12
SELinux aktiviert             True
Richtlinientyp                targeted
Enforcing-Modus               Enforcing
Plugin-Name                   allow_execmod
Rechnername                   (entfernt)
Plattform                     Linux (entfernt)
                              2.6.32.16-141.fc12.x86_64 #1 SMP Wed Jul 7
                              04:49:59 UTC 2010 x86_64 x86_64
Anzahl der Alarme             5
Zuerst gesehen                Mi 14 Jul 2010 23:12:50 CEST
Zuletzt gesehen               Fr 16 Jul 2010 04:14:43 CEST
Lokale ID                     52bbde52-3fd7-4175-94f0-1059072be15d
Zeilennummern                 

Raw-Audit-Meldungen           

node=(entfernt) type=AVC msg=audit(1279246483.307:33403): avc:  denied  { execmod } for  pid=4043 comm="ExeFile.exe" path="/usr/lib/catalyst/libatiadlxx.so" dev=sda3 ino=9717336 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=(entfernt) type=SYSCALL msg=audit(1279246483.307:33403): arch=40000003 syscall=125 success=no exit=-13 a0=690c1000 a1=2e000 a2=5 a3=330480 items=0 ppid=4022 pid=4043 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=pts0 ses=1 comm="ExeFile.exe" exe="/home/LinuxDonald/Tools/wine-git/bin/wine-preloader" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  allow_execmod,AtlanticaRun.ex,unconfined_t,lib_t,file,execmod
audit2allow suggests:

#============= unconfined_t ==============
#!!!! This avc can be allowed using the boolean 'allow_execmod'

allow unconfined_t lib_t:file execmod;
Comment 1 Miroslav Grepl 2010-07-19 06:28:55 EDT
Execute:

# chcon -t textrel_shlib_t '/usr/lib/catalyst/libatiadlxx.so'

To make this permanent

# semanage fcontext -a -t textrel_shlib_t '/usr/lib/catalyst/libatiadlxx.so'

Note You need to log in before you can comment on or make changes to this bug.